Problem z pakietem usb_modeswitch 2.5.1-1


#1

Już nie wiem gdzie mam to zgłaszać że pakiet usb_modeswitch w wersji 2.5.1-1 nie działa prawidłowo. Na początku myślałem że może ten pakiet nie chce działać pod jądrem 4.13, ale okazało się że pod kernelem 4.9 też nie działa.

Moim zdaniem jak jakiś pakiet nie działa prawidłowo powinien zostać wycofany z aktualizacji. Jak na razie to muszę umieszczać ten pakiet w ignorowanych aktualizacjach.


#2

Jak bug nie jest widoczny dla większej części użytkowników to przechodzi.

Zamiast męczyć developerów manjaro, żeby wstrzymali pakiet, lepiej po prostu zgłosić problem na supporcie dla tego pakietu i czekać aż poprawka się pojawi. Najczęściej można to załatwić na githubie w zakładce “Issues”. Gorzej jak projekt używa forum lub jakiegoś bugtrackera… wtedy trzeba się przemęczyć, żeby to zgłosić.

Z doświadczenia wiem, że jak samemu nie zadziała to zwykle nic się nie stanie samo z siebie, dlatego co mogę to zgłaszam, żeby pakiety były poprawiane u źródła (upstream).


#3

A mi się wydaje że spora większość użytkowników Manjaro korzysta z laptopów, i połączenia przez wifi. Tak więc nie potrzebują pakietu usb_modeswitch.


#4

Winny :wink:


#5

Problem rozwiązany, wystarczyło ten pakiet zainstalować zaklęciem:
yaourt -Sb usb_modeswitch
I teraz jest GITara.


#6

No i znowu są problemy z nowo aktualizowanym pakietem usb_modeswitch 2.5.1-1.1


#7

Okazało się że plik usb_modeswitch_dispatcher znajdujący się w /usr/bin/ był pusty w wersji 2.5.1-1.1. No to skopiowałem wyżej wymieniony plik z wersji 2.5.1-1 i zainstalowałem wersje 2.5.1-1.1 i wkleiłem na miejsce pustego pliku plik z zawartością. Mam nadzieję że to już koniec schodów z tym nieszczęsnym pakietem usb_modeswitch.